var fs = require("fire-fs");
var panel = {
    style: fs.readFileSync(Editor.url("packages://custom-component/page/index.css")),
    template: fs.readFileSync(Editor.url("packages://custom-component/page/index.html")),
    $: {
        btn: '#btn',
        label: '#label',
        uiPath: "#uiPath"
    },
    ready: function () {
        this.$btn.addEventListener("confirm", function () {
            Editor.Ipc.sendToMain("custom-component:clicked");
            Editor.log("fs => ", JSON.stringify(Object.getOwnPropertyNames(fs)));
        });
        var data = Editor.remote.CustomComponent.data;
        Editor.log("data.path >>>>> \n", data.path);
        this.$uiPath.value = "" + data.path;
    },
    messages: {
        "custom-component:hello": function (event) {
            this.$label.innerText = "Hello...";
        }
    }
};
Editor.Panel.extend(panel);
