///<reference path="../editor/editor-assetDB.d.ts" />
///<reference path="../editor/editor-main.d.ts" />
///<reference path="../editor/editor-renderer.d.ts" />
///<reference path="../editor/editor-scene.d.ts" />
///<reference path="../editor/editor-share.d.ts" />
///<reference path="../editor/engine.d.ts" />
///<reference path="../editor/vue.d.ts" />

///<reference path="./modules/FileUtil.ts" />
///<reference path="./modules/Data.ts" />

// @ts-ignore
const FileUtil = require("./modules/FileUtil");
// @ts-ignore
const Data = require("./modules/Data");

let fileUtil: FileUtil;

let globalVal = {
    data: new Data(),
}
//@ts-ignore
Editor.CustomComponent = globalVal;

const main = {
    load() {
        fileUtil = new FileUtil();
        globalVal.data.path = Editor.Project.path;
    },

    unload() {

    },

    messages: {
        "open"() {
            Editor.success("entrance open 11");
            Editor.Panel.open("custom-component");
            fileUtil.print();
        },
        "say-hello"() {
            Editor.log("Hello World!");
            // Editor.Ipc.sendToPanel("custom-component", "custom-component:hello", null);
        },
        "clicked"() {
            Editor.log("Button clicked!");
        }
    }
}

// @ts-ignore
module.exports = main;
